Bug 134520 - frame-title-format appears to be over-written by emacs on startup
frame-title-format appears to be over-written by emacs on startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 08:00 EDT by Henrik Bakken
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 21.3-16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-13 10:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrik Bakken 2004-10-04 08:00:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040928 Galeon/1.3.17

Description of problem:
I set frame-title-format in my .emacs, but when emacs starts up, it
somehow resets the value to "%b - emacs@<host>".

This happens on 21.3-15, but not on 21.3-12.  (Same version number for
emacs-common and emacs, as it has to be.)

If I set frame-title-format manually after emacs has completed
startup, the value is set correctly, and the frame is correctly
titled.  I inserted (message "foo: %s" frame-title-format) throughout
my .emacs, and the value was correct (i.e. what I had set it to) all
the time.


Version-Release number of selected component (if applicable):
21.3-15

How reproducible:
Always

Steps to Reproduce:
1. Start emacs
2. Observe..
3.
    

Actual Results:  frame-title-format is set to a default value

Expected Results:  frame-title-format should have been set to my
chosen value.

Additional info:
Comment 1 Jens Petersen 2004-10-06 08:27:44 EDT
Thanks for reporting this: will move the setting to /etc/skel/.emacs.
Comment 2 Jens Petersen 2004-10-14 22:55:20 EDT
Should get fixed in 21.3-16.

Note You need to log in before you can comment on or make changes to this bug.